
package de.ivu.elect.presentation.ergebnis.dokumente.gesamtergebnis;

import de.ivu.elect.business.ergebnis.control.ErgebnisDaten;
import de.ivu.elect.dokumente.DokumentFormatter;
import de.ivu.elect.dokumente.WasElectContext;
import de.ivu.elect.presentation.ergebnis.dokumente.diagramm.WahlbuchDiagrammGenerator;

public class AbstractWahlbuchParameter {

  protected final WasElectContext wasElectContext;
  protected final ErgebnisDaten ergebnisDaten;
  protected final DokumentFormatter formatter;
  protected final WahlbuchDiagrammGenerator diagrammGenerator;

  public AbstractWahlbuchParameter(WasElectContext wasElectContext, ErgebnisDaten ergebnisDaten, DokumentFormatter formatter, WahlbuchDiagrammGenerator diagrammGenerator) {
    super();

    this.wasElectContext = wasElectContext;
    this.ergebnisDaten = ergebnisDaten;
    this.formatter = formatter;
    this.diagrammGenerator = diagrammGenerator;
  }

  public WasElectContext getContext() {
    return wasElectContext;
  }

  public ErgebnisDaten getErgebnisDaten() {
    return ergebnisDaten;
  }

  public DokumentFormatter getFormatter() {
    return formatter;
  }

  public WahlbuchDiagrammGenerator getDiagrammGenerator() {
    return diagrammGenerator;
  }
}
